package app.serveur;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Recette")
public class Recette {

	//... À FAIRE

	private String nomRecette;
	private String descriptionRecette;
	private Integer IDRecette;
	private IngredientList ingredients;
	
	public Recette(Integer ID, String nom, String desc)
	{
		descriptionRecette = desc;
		nomRecette = nom;
		IDRecette = ID;
		ingredients = new IngredientList();
	}
	
	public Recette(Integer ID, String nom, String desc, String[] ingr)
	{
		descriptionRecette = desc;
		nomRecette = nom;
		IDRecette = ID;
		ingredients = new IngredientList(ingr);
	}
	
	
	public String getNomRecette() {
		return nomRecette;
	}
	public void setNomRecette(String nomRecette) {
		this.nomRecette = nomRecette;
	}
	public String getDescriptionRecette() {
		return descriptionRecette;
	}
	public void setDescriptionRecette(String descriptionRecette) {
		this.descriptionRecette = descriptionRecette;
	}
	public Integer getIDRecette() {
		return IDRecette;
	}
	public void setIDRecette(Integer iDRecette) {
		IDRecette = iDRecette;
	}


	public void setIngredients(List<String> newIngr) {
		
		ingredients.setIngredients(newIngr);
	}
	
	
	
	
}
